summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-12-20 10:26:42 +0100
committerHans de Graaff <graaff@gentoo.org>2019-12-20 10:40:56 +0100
commite961f4ec89aadf5f8b053b54b7510ef28b1f6755 (patch)
tree12c5f652f773a04161777f602489fc10b1e7570a
parentdev-ruby/activesupport: add rails 6.0.2.1 (diff)
downloadgentoo-e961f4ec89aadf5f8b053b54b7510ef28b1f6755.tar.gz
gentoo-e961f4ec89aadf5f8b053b54b7510ef28b1f6755.tar.bz2
gentoo-e961f4ec89aadf5f8b053b54b7510ef28b1f6755.zip
dev-ruby/activemodel: add rails 6.0.2.1
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/activemodel/Manifest1
-rw-r--r--dev-ruby/activemodel/activemodel-6.0.2.1.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-ruby/activemodel/Manifest b/dev-ruby/activemodel/Manifest
index 9b0dd87d3f0..348dd3df36a 100644
--- a/dev-ruby/activemodel/Manifest
+++ b/dev-ruby/activemodel/Manifest
@@ -4,4 +4,5 @@ DIST rails-5.2.4.1.tgz 8823310 BLAKE2B 33d863a66c0f5e0554c2beaf5fac235cfa3a5ba0c
DIST rails-5.2.4.tgz 8822605 BLAKE2B 541332dab5acd358ba3c3ad660b25cec77050b44fba00f46bb3a6e0846ebede36cf4dc7d13f9269ba14ce4174bb81a342f0407672dc6f9372b7cc0ddd0eb66bd SHA512 bee783a0c8e24441f0fbe011392774684fa1390df837c6f85a17975ae72b8c60bea90998f36742c413eecffe125b6a606b0d920855231f910e8073fe28d44a13
DIST rails-6.0.0.tgz 18543484 BLAKE2B 614e71481a3a5ece629f49d0ef623b5352e165b5d46a736ccb747614d6c1fd56d4aaba2f2f32d48d81772cfd4db671d94a67cd3ffa395f29bf2de1f148fa57ed SHA512 3a2259fe2b3ffd0ddc9128e1aa58af57006b8410120a3629926b95fbe60b8658edab77929e26d9323c61a1855a4379e73f1ddbe875324b068a9e8bdde6ca55e6
DIST rails-6.0.1.tgz 18551750 BLAKE2B 03349639ae114b82573e5e4063600b07b24274a0f5a81021bf347c650214e0f59fbb1676b9ad580de5a2d6e4dc85cc2702511c32d11a088ef663f26d8d55041e SHA512 ad6667a958663a8d260896c6b7fd589b657383f0d4f217c9bc0e993d6eac67c32fa41d54a9edf9b1f4e01ae78826f49a862b0069d59b3c1de2b950522b3ecf10
+DIST rails-6.0.2.1.tgz 18556085 BLAKE2B 178e2d5319fa71ba9f3f7d7a00c207ed9c8d87973487a253c5f819132743f8cdf1428b1668c6e176c91d45986a2201e52f9016efe5ca28ab93301135e5392dd5 SHA512 b33e82ba9e898f7c467df26b7196c69564bcdd24a4732ae6912d06dd361044e769d87fc3e8872533c97fc8d034cab2fad33082925f98cf2096fb1dd4ff6789d7
DIST rails-6.0.2.tgz 18555652 BLAKE2B 27b775a8e9285d9d8501fd2115b5a4a68ef0df1afe0f237c32158fc3c4fa950916b725ececda2e9cabd199a2cef4f7c0421b4fdd27e5b28952f738ab99d48097 SHA512 f394d272771ae8eeba2878c7d8eace93a7eefae95f12b34704939f3f91201633da8cb8721999eec0c9729dd72841ef026fbdb7d814d5a0f31cd1f0fd6310a872
diff --git a/dev-ruby/activemodel/activemodel-6.0.2.1.ebuild b/dev-ruby/activemodel/activemodel-6.0.2.1.ebuild
new file mode 100644
index 00000000000..b95a885ddc2
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-6.0.2.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ dev-ruby/test-unit:2
+ dev-ruby/mocha
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove load paths"
+}